#
# spec file for package yast2-config-inet (Version 2.5.6)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib dejagnu expect gcc gdbm gettext libscr libtool liby2 libycp libycp-devel libyui libz pam perl rpm tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc

Name:         yast2-config-inet
Version:      2.5.6
Release:      0
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-config-inet-2.5.5.tar.bz2
Patch0:       tmp-miss-fix.diff
Requires:     yast2 yast2-trans-inet yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:	noarch
Summary:      YaST2 Configuration Network Services

%description
YaST2 component gives possibility to configure inetd daemon.

Authors:
--------
    mike@suse.de

SuSE series: yast

%prep
%setup -n yast2-config-inet-2.5.5
%patch -p0

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/include/lan_inetd
/usr/lib/YaST2/include/lan_inetd/*
/usr/lib/YaST2/clients/lan_inetd.ycp
/usr/lib/YaST2/clients/inetd_*.ycp
/usr/lib/YaST2/modules/Inetd.ycp
/usr/lib/YaST2/menuentries/menuentry_lan_inetd.y2cc
/usr/lib/YaST2/bin/build_inetd_conf_ycp.pl
%doc /usr/share/doc/packages/yast2-config-inet

%changelog -n yast2-config-inet
* Fri Dec 13 2002 - mvidner@suse.cz
- The temporary file is created in /var/lib/YaST2, not /tmp (#16420).
- Fixed missing some disabled services (no space after hash) (#16420 too).
- Fixed adding services (#16132).
- 2.5.6
* Mon Feb 25 2002 - mike@suse.de
- yast2 inetd editor does not work #13822
  fixed the specfile
* Mon Feb 11 2002 - nashif@suse.de
- updates for autoinstall
* Mon Jan 28 2002 - nashif@suse.de
- Added WriteOnly: Write without starting any services
- adapted _write
- 2.5.2
* Tue Jan 22 2002 - nashif@suse.de
- use Wizard, Sequencer
- USe skeleton
- Added _write, _auto for autoinstallation
* Mon Jan 21 2002 - nashif@suse.de
- migration to devtools
- use standard copyright files
- removed old menu entry
- added testsuite
- fixed syntax (select and lookup)
* Thu Sep 06 2001 - jbuch@suse.de
- Read -> SCR::Read(..)
* Mon Apr 30 2001 - jbuch@suse.de
- fixed bug with return nil to list | void
* Tue Apr 24 2001 - jbuch@suse.de
- define -> global define
* Tue Apr 17 2001 - kkaempf@suse.de
- name change to "yast2-config-inet"
  package as .bz2
* Thu Jan 18 2001 - mike@suse.de
- fix: now translates properly
* Wed Dec 13 2000 - mike@suse.de
- new menuentry
* Sat Jul 15 2000 - kkaempf@suse.de
- typo fixed
  version 1.0.5
* Fri Jul 14 2000 - gs@suse.de
- deleting file in tmp
* Thu Jul 13 2000 - mike@suse.de
- fix in specfile: perlscript now included
* Tue Jul 11 2000 - mike@suse.de
- fix: read inetd.conf now with perl
* Thu Jun 29 2000 - gs@suse.de
- fixes in comments
* Thu Jun 29 2000 - kkaempf@suse.de
- requires y2t_inet
* Tue Jun 27 2000 - gs@suse.de
- bugfix writing /etc/rc.config
* Mon Jun 26 2000 - kkaempf@suse.de
- initial version
